LASTLOG(8)

NAME
lastlog - examine lastlog file

SYNOPSIS
lastlog [-u uid] [-t days]

DESCRIPTION
lastlog formats and prints the contents of the last login log, /var/log/lastlog. The login-name, port, and last login time will be printed. The default (no flags) causes lastlog entries to be printed in UID order. Entering -u login-name flag will cause the lastlog record for login-name only to be printed. Entering -t days will cause only the lastlogins more recent than days to be printed. The -t flag overrides the use of -u.

If the user has never logged in the message "**Never logged in**" will be displayed instead of the port and time.

FILES
/var/log/lastlog - lastlog logging file

CAVEATS
Large gaps in uid numbers will cause the lastlog program to run longer with no output to the screen (i.e. if mmdf=800 and last uid=170, program will appear to hang as it processes uid 171-799).

AUTHORS
Julianne Frances Haugh (jfh@tab.com)
Phillip Street